package com.sunxung.factoring.entity.refundsManagement;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.sunxung.factoring.entity.BaseEntity;

import java.time.LocalDateTime;
import java.io.Serializable;

/**
 * <p>
 * 退款管理-收方账户信息历史表
 * </p>
 *
 * @author yafan
 * @since 2024-03-04
 */
@TableName("refunds_apply_account_info_his")
public class RefundsApplyAccountInfoHis extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * 退款管理-申请内容历史表id
     */
    @TableField("refunds_apply_details_his_id")
    private Long refundsApplyDetailsHisId;

    /**
     * 收款账户名称
     */
    @TableField("collection_account_name")
    private String collectionAccountName;

    /**
     * 收款账号
     */
    @TableField("collection_account")
    private String collectionAccount;

    /**
     * 收款账户开户行
     */
    @TableField("collection_bank_name")
    private String collectionBankName;

    public Long getRefundsApplyDetailsHisId() {
        return refundsApplyDetailsHisId;
    }

    public void setRefundsApplyDetailsHisId(Long refundsApplyDetailsHisId) {
        this.refundsApplyDetailsHisId = refundsApplyDetailsHisId;
    }
    public String getCollectionAccountName() {
        return collectionAccountName;
    }

    public void setCollectionAccountName(String collectionAccountName) {
        this.collectionAccountName = collectionAccountName;
    }
    public String getCollectionAccount() {
        return collectionAccount;
    }

    public void setCollectionAccount(String collectionAccount) {
        this.collectionAccount = collectionAccount;
    }
    public String getCollectionBankName() {
        return collectionBankName;
    }

    public void setCollectionBankName(String collectionBankName) {
        this.collectionBankName = collectionBankName;
    }

    @Override
    public String toString() {
        return "RefundsApplyAccountInfoHis{" +
            ", refundsApplyDetailsHisId=" + refundsApplyDetailsHisId +
            ", collectionAccountName=" + collectionAccountName +
            ", collectionAccount=" + collectionAccount +
            ", collectionBankName=" + collectionBankName +
        "}";
    }
}
